// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyCE0xy-GL0B5t_Ah6eWSALSx8Co4d83sMY',
    appId: '1:306579726763:web:7b07b08e47ab3ef6d932ee',
    messagingSenderId: '306579726763',
    projectId: 'unico-assignment-flutter',
    authDomain: 'unico-assignment-flutter.firebaseapp.com',
    storageBucket: 'unico-assignment-flutter.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDWw9pfRVMd3zlPlTrNTtSYnsc8QrNJSu8',
    appId: '1:306579726763:android:8c60ab62de0438fdd932ee',
    messagingSenderId: '306579726763',
    projectId: 'unico-assignment-flutter',
    storageBucket: 'unico-assignment-flutter.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyDHYd8hWTd1fEHQP0yCP7kHN4cAJppjMbQ',
    appId: '1:306579726763:ios:baf523d414277560d932ee',
    messagingSenderId: '306579726763',
    projectId: 'unico-assignment-flutter',
    storageBucket: 'unico-assignment-flutter.appspot.com',
    iosBundleId: 'com.sushant.assignment.unicoAssignmentFlutter',
  );
}
